{
  "name": "條件：物品過濾器小部件",
  "icon": "pneumaticcraft:textures/progwidgets/condition_item.png",
  "category": "pneumaticcraft:widget_cond",
  "advancement": "pneumaticcraft:programmer",
  "pages": [
    {
      "type": "text",
      "text": "這是一個 $(l:programming/conditions)條件/$ 小部件。$(p)$(thing)條件：物品過濾器/$ 小部件允許您比較 $(l:programming/item_filter)物品過濾器/$。這在您使用帶有 $(l:programming/variables)變數/$ 的物品過濾器時特別有用。$(p)該小部件檢查連線在頂部行右側的單個 $(l:programming/item_filter)物品過濾器/$ 中的物品，並檢查該物品是否與第二行指定的 $(thing)物品過濾器/$ 匹配。"
    },
    {
      "type": "text",
      "text": "與往常一樣，右側用於白名單（表示該物品應匹配此過濾器），左側用於黑名單（表示該物品 $(italic)不/$ 應匹配此過濾器）。如果匹配，條件被評估為 $(thing)true/$。否則，條件被評估為 $(thing)false/$。"
    },
    {
      "type": "text",
      "text": "您可以新增多個物品進行檢查。透過在右側連線多個第二行 $(l:programming/item_filter)物品過濾器/$，條件僅當 $(italic)所有/$ 物品都匹配過濾器時評估為 $(thing)true/$。左側放置的 $(l:programming/item_filter)物品過濾器/$ 必須 $(italic)不/$ 匹配過濾器，條件才會被評估為 $(thing)true/$。"
    },
    {
      "type": "image",
      "images": [
        "pneumaticcraft:textures/progwidgets/condition_item.png"
      ],
      "text": "$(italic)條件：物品過濾器小部件/$"
    }
  ]
}